#ifndef TACKA_H
#define TACKA_H

#include <iostream>
using namespace std;

class Tacka {
public:
	// Podrazumevane vrednosti parametara konstruktora/funkcije omogucavaju da se pozivaju na vise razlicitih nacina
	// Tacka t1; -- x i y ce uzeti podrazumevane vrednosti 0 jer nisu navedene u pozivu konstruktora
	// Tacka t2(5); -- x ce uzeti vrednost 5 a y nije navedeno pa ce uzeti podrazumevanu vrednost 0
	// Tacka t3(5, -2); -- x ce uzeti vrednost 5 a y ce uzeti vrednost -2 -- obe vrednosti su navedene pa se podrazumevane vrednosti ne koriste
	Tacka(int x = 0, int y = 0) : x_(x), y_(y) {}
	// !!! Neka je N broj parametara funkcije. Samo poslednjih K parametara (0 <= K <= N) moze da ima podrazumevanu vrednost !!!
	
	int dohvatiX() const;
	int dohvatiY() const;
	
	void pisi() const;

private:
	int x_, y_;
};

#endif
