#include "Linija.h"

Linija::Linija(int kap) : kap_(kap), pop_(0) {
	// Kada se kreira niz objekata neke klase, tada se svaki od elemenata tog niza (svaki objekat Tacke) inicijalizuje podrazumevanim konstruktorom
	// Ukoliko takav konstruktor ne postoji, prevodilac prijavljuje gresku u prevodjenju
	niz_ = new Tacka[kap_];
}

Linija::~Linija() {
	delete[] niz_;
	niz_ = nullptr; kap_ = pop_ = 0;
	cout << "Unisten objekat linije." << endl;
}

void Linija::dodajTacku(const Tacka& t) {
	if (pop_ == kap_) return;
	niz_[pop_++] = t;
}

void Linija::pisi() const {
	for (int i = 0; i < pop_; i++) {
		niz_[i].pisi(); cout << endl;
	}
}
